// This may look like C code, but it is really -*- C++ -*-
// Adaptateur d objets (pour NamedObjMgr) pour Histos/NTuple
//                                    Reza 05/99
//  LAL-IN2P3/CNRS               CEA-DAPNIA     
 
#ifndef NOMSPECRESPADAPTER_H_SEEN
#define NOMSPECRESPADAPTER_H_SEEN

#include "nomgadapter.h"
#include "specresp.h"


//-------------------------------------------------------------------------
// Class Adaptateur d'objet (Pour NamedObjMgr) d'objet SpectralResponse
//-------------------------------------------------------------------------

class NOMAdapter_SpectralResponse : public NObjMgrAdapter {
public:
				NOMAdapter_SpectralResponse(SpectralResponse* sr = NULL);
  virtual			~NOMAdapter_SpectralResponse();

  virtual NObjMgrAdapter*	Clone(AnyDataObj* o);

  //  virtual void			ReadFits(string const & flnm);
  //  virtual void			SaveFits(string const & flnm);
  virtual void			SavePPF(POutPersist& s, string const & nom);

  virtual void			Print(ostream& os);
  virtual PIDrawer*		GetDrawer(string& dopt);
//  virtual NTupleInterface*	GetNTupleInterface(bool& adel);

protected:
  SpectralResponse* mSR;
};



#endif
